Skip to content

Update alert-rule (If-Match)

PUT
/api/v1/alert-rules/{name}
curl --request PUT \
--url https://example.com/api/v1/alert-rules/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "autoCloseAfter": 1, "createdAt": "2026-04-15T12:00:00Z", "dedupKey": "example", "disabled": true, "escalationPolicy": "example", "groupId": "example", "heartbeat": { "expectEvery": 1, "source": "example" }, "id": "example", "incident": true, "match": "example", "name": "example", "pendingFor": 1, "resolveOnOk": true, "setLabels": { "additionalProperty": "example" }, "severity": "example", "tenantId": "example", "title": "example", "updatedAt": "2026-04-15T12:00:00Z", "version": 1 }'
name
required
string
Media typeapplication/json
object
autoCloseAfter
integer
createdAt
required
string format: date-time
dedupKey
string
disabled
boolean
escalationPolicy
string
groupId
string
heartbeat
object
expectEvery
required
integer
source
required
string
id
required
string
incident
boolean
match
string
name
required
string
pendingFor
integer
resolveOnOk
boolean
setLabels
object
key
additional properties
string
severity
required
string
tenantId
required
string
title
string
updatedAt
required
string format: date-time
version
required
integer
Examplegenerated
{
"autoCloseAfter": 1,
"createdAt": "2026-04-15T12:00:00Z",
"dedupKey": "example",
"disabled": true,
"escalationPolicy": "example",
"groupId": "example",
"heartbeat": {
"expectEvery": 1,
"source": "example"
},
"id": "example",
"incident": true,
"match": "example",
"name": "example",
"pendingFor": 1,
"resolveOnOk": true,
"setLabels": {
"additionalProperty": "example"
},
"severity": "example",
"tenantId": "example",
"title": "example",
"updatedAt": "2026-04-15T12:00:00Z",
"version": 1
}

OK

Media typeapplication/json
object
autoCloseAfter
integer
createdAt
required
string format: date-time
dedupKey
string
disabled
boolean
escalationPolicy
string
groupId
string
heartbeat
object
expectEvery
required
integer
source
required
string
id
required
string
incident
boolean
match
string
name
required
string
pendingFor
integer
resolveOnOk
boolean
setLabels
object
key
additional properties
string
severity
required
string
tenantId
required
string
title
string
updatedAt
required
string format: date-time
version
required
integer
Examplegenerated
{
"autoCloseAfter": 1,
"createdAt": "2026-04-15T12:00:00Z",
"dedupKey": "example",
"disabled": true,
"escalationPolicy": "example",
"groupId": "example",
"heartbeat": {
"expectEvery": 1,
"source": "example"
},
"id": "example",
"incident": true,
"match": "example",
"name": "example",
"pendingFor": 1,
"resolveOnOk": true,
"setLabels": {
"additionalProperty": "example"
},
"severity": "example",
"tenantId": "example",
"title": "example",
"updatedAt": "2026-04-15T12:00:00Z",
"version": 1
}

Problem Details (RFC 9457)

Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{
"code": "example",
"detail": "example",
"instance": "example",
"status": 1,
"title": "example",
"type": "example"
}